export interface ArchivesVO {
  /**
   * 编号
   */
  id: string | number;

  /**
   * 区域
   */
  area: string;

  /**
   * 丘权号
   */
  qiuquan: string;

  /**
   * 建设单位（或申请单位）
   */
  buildUnit: string;

  /**
   * 地址（公安门牌）
   */
  addr: string;

  /**
   * 小区名称
   */
  community: string;

  /**
   * 成果（建档）日期
   */
  achievementDate: string;

  /**
   * 保管期限
   */
  savePeriod: string;

  /**
   * 备注
   */
  remark: string;

  /**
   * 电子档编号
   */
  ecode: string;

  /**
   * 存档位置
   */
  saveAddr: string;

  /**
   * 扩展1
   */
  ext1: string;

  /**
   * 扩展2
   */
  ext2: string;

}

export interface ArchivesForm extends BaseEntity {
  /**
   * 编号
   */
  id?: string | number;

  /**
   * 区域
   */
  area?: string;

  /**
   * 丘权号
   */
  qiuquan?: string;

  /**
   * 建设单位（或申请单位）
   */
  buildUnit?: string;

  /**
   * 地址（公安门牌）
   */
  addr?: string;

  /**
   * 小区名称
   */
  community?: string;

  /**
   * 成果（建档）日期
   */
  achievementDate?: string;

  /**
   * 保管期限
   */
  savePeriod?: string;

  /**
   * 备注
   */
  remark?: string;

  /**
   * 电子档编号
   */
  ecode?: string;

  /**
   * 存档位置
   */
  saveAddr?: string;

  /**
   * 扩展1
   */
  ext1?: string;

  /**
   * 扩展2
   */
  ext2?: string;

}

export interface ArchivesQuery extends PageQuery {

  /**
   * 区域
   */
  area?: string;

  /**
   * 丘权号
   */
  qiuquan?: string;

  /**
   * 建设单位（或申请单位）
   */
  buildUnit?: string;

  /**
   * 地址（公安门牌）
   */
  addr?: string;

  /**
   * 小区名称
   */
  community?: string;

  /**
   * 成果（建档）日期
   */
  achievementDate?: string;

  /**
   * 保管期限
   */
  savePeriod?: string;

  /**
   * 电子档编号
   */
  ecode?: string;

  /**
   * 存档位置
   */
  saveAddr?: string;

  /**
   * 扩展1
   */
  ext1?: string;

  /**
   * 扩展2
   */
  ext2?: string;

    /**
     * 日期范围参数
     */
    params?: any;
}



